package com.muyu.rule.server.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.muyu.rule.common.domain.EtlRule;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @Author：张承志
 * @Package：com.muyu.etl.mapper
 * @Project：cloud-etl
 * @name：EtlRuleMapper
 * @Date：2024/8/21 14:22
 */
@Mapper
public interface EtlRuleMapper extends BaseMapper<EtlRule> {

    /**
     * 分页查询指定行数据
     *
     * @param page 分页参数
     * @param wrapper 动态查询条件
     * @return 分页对象列表
     */
    @Select("SELECT * FROM etl_rule")
    IPage<EtlRule> selectByPage(IPage<EtlRule> page , @Param(Constants.WRAPPER) Wrapper<EtlRule> wrapper);


}
