package com.muyu.rule.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.rule.common.domain.EtlRule;
import com.muyu.rule.common.domain.req.EtlRuleListReq;
import com.muyu.rule.common.domain.resp.EtlRuleResp;

import java.util.List;

/**
 * @Author：张承志
 * @Package：com.muyu.etl.service
 * @Project：cloud-etl
 * @name：EtlRuleService
 * @Date：2024/8/21 14:21
 */
public interface EtlRuleService extends IService<EtlRule> {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    EtlRule queryById(int id);


    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(int id);

    /**
     * 条件查询列表
     * @param req
     * @return
     */

    List<EtlRuleResp> selectList(EtlRuleListReq req);
}
